Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0041238
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementmajorhave not tried2019-07-02 15:582019-08-22 14:44
ReportershuehnerView Statuspublic 
Assigned Tocollazoandy4 
PrioritynormalResolutionfixedFixed in Version3.0PR19Q4
StatusclosedFix in branchFixed in SCM revision1b97ac29aee5
ProjectionnoneETAnoneTarget Version3.0PR19Q4
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Todmiguelez
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0041238: FIN_Utility.{isPeriodOpen,isReversePayment,getOrderedPaymentDetailList) are not using bind-params

DescriptionThis code is not using bind-params:

a.) major isPeriodOpen (i.e. call via Reconciliation.java)
b.) isReversePayment,getOrderedPaymentDetailList

When fixing please apply new HQL-Style to all 7 cases in this file.
Steps To Reproduce-
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on backport 00412613.0PR19Q3 closedTriage Finance FIN_Utility.{isPeriodOpen,isReversePayment,getOrderedPaymentDetailList) are not using bind-params 
depends on backport 00412623.0PR19Q2.1 closedcollazoandy4 FIN_Utility.{isPeriodOpen,isReversePayment,getOrderedPaymentDetailList) are not using bind-params 
depends on backport 00412633.0PR19Q1.3 closedTriage Finance FIN_Utility.{isPeriodOpen,isReversePayment,getOrderedPaymentDetailList) are not using bind-params 
related to defect 0041424 closedAtulOpenbravo Several unused methods in FIN_Utility.java 
blocks design defect 0038136 acknowledgedplatform Tracking issue: Find & Fix queries not using bind-params but embedding values into query string 

-  Notes
(0113342)
collazoandy4 (developer)
2019-07-13 14:46

Test Plan
  Go to Sales Invoice and create one record for Alimentos y Supermercados, S.A
    Create a new record in Lines tab:
      Product: Limonada 0,5L
      Invoiced Quantity: 10
    Complete the invoice
  Go to Payment In and create a new record for same BP
    Clic on Add Details and select previous invoice
    Clic on Reactivate and check the process ends without error
(0113450)
hgbot (developer)
2019-07-16 18:22

Repository: erp/devel/pi
Changeset: 1b97ac29aee5716785117b890cfdab4bc0b6a713
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Tue Jul 16 16:48:06 2019 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/1b97ac29aee5716785117b890cfdab4bc0b6a713 [^]

iFixes issue 41238: FIN_Utility is not using bind-params

The isPeriodOpen, isReversePayment and getOrderedPaymentDetailList methods was
updated with bind-params

---
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/utility/FIN_Utility.java
---
(0113457)
dmiguelez (developer)
2019-07-16 18:26

Fixed by commit: https://code.openbravo.com/erp/devel/pi/rev/1b97ac29aee5 [^]
(0113458)
dmiguelez (developer)
2019-07-16 18:27

Code Review + Testing Ok
(0114153)
hudsonbot (developer)
2019-08-22 14:44

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/ad3efd3bd07c [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2019-07-02 15:58 shuehner New Issue
2019-07-02 15:58 shuehner Assigned To => Triage Finance
2019-07-02 15:58 shuehner Modules => Core
2019-07-02 15:58 shuehner Triggers an Emergency Pack => No
2019-07-02 15:58 shuehner Relationship added blocks 0038136
2019-07-03 17:01 shuehner Status new => scheduled
2019-07-03 17:01 shuehner Target Version => 3.0PR19Q4
2019-07-04 17:48 Sandrahuguet Assigned To Triage Finance => collazoandy4
2019-07-09 17:14 Sandrahuguet Assigned To collazoandy4 => AtulOpenbravo
2019-07-09 17:47 Sandrahuguet Assigned To AtulOpenbravo => collazoandy4
2019-07-13 14:46 collazoandy4 Note Added: 0113342
2019-07-16 18:22 hgbot Checkin
2019-07-16 18:22 hgbot Note Added: 0113450
2019-07-16 18:26 dmiguelez Note Added: 0113457
2019-07-16 18:26 dmiguelez Status scheduled => resolved
2019-07-16 18:26 dmiguelez Fixed in Version => 3.0PR19Q4
2019-07-16 18:26 dmiguelez Fixed in SCM revision => https://code.openbravo.com/erp/devel/pi/rev/1b97ac29aee5 [^]
2019-07-16 18:26 dmiguelez Resolution open => fixed
2019-07-16 18:27 dmiguelez Review Assigned To => dmiguelez
2019-07-16 18:27 dmiguelez Note Added: 0113458
2019-07-16 18:27 dmiguelez Status resolved => closed
2019-07-22 22:11 collazoandy4 Relationship added blocks 0041424
2019-07-22 22:13 collazoandy4 Relationship deleted blocks 0041424
2019-07-22 22:13 collazoandy4 Relationship added related to 0041424
2019-08-22 14:44 hudsonbot Checkin
2019-08-22 14:44 hudsonbot Note Added: 0114153


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker